# encoding: utf-8

require 'rubygems'

begin
  require 'bundler/setup'
rescue LoadError => e
  abort e.message
end

require 'rake'

task :default => :test

require 'rubygems/tasks'
Gem::Tasks.new

require 'rake/testtask'
Rake::TestTask.new do |test|
  test.libs << 'test'
  test.pattern = 'test/**/test_*.rb'
  test.verbose = true
end
task :test => ["test/fixtures/wasteland.epub"]

directory "test/fixtures"

require "open-uri"
file "test/fixtures/wasteland.epub" => "test/fixtures" do |t|
  open "https://github.com/IDPF/epub3-samples/releases/download/20170606/wasteland.epub" do |f|
    File.write t.name, f.read
  end
end

require 'yard'
YARD::Rake::YardocTask.new  
task :doc => :yard
